Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface Campaign

All Superinterfaces:
  CampaignInfo, Cloneable, Comparable, ScenarioContainer, Serializable

public interface Campaign
extends CampaignInfo, ScenarioContainer

The runtime definition of a campaign.

Field Summary
`static short` | `AND` Boolean AND logic.
`static short` | `OR` Boolean OR logic.

Method Summary
`short` | `getGoalLogic()` Tell if all goals need to be met, or just one.
`List` | `getGoals()` Get the list of goals.
`long` | `getLastModified()` Get the time this campaign was last modified.
`List` | `getLinkedScenarioIds()` Get the list of ids of the linked scenarios.
`boolean` | `isActive()` Determine if this campaign is currently active, based upon all campaign information.

Methods inherited from interface com.bea.campaign.CampaignInfo
`clone, getActiveFlag, getDescription, getGoalDescription, getName, getSponsor, getStartDate, getStopDate, getUniqueId, getValueProposition, isShutdown`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface com.bea.campaign.ScenarioContainer
`getContainerType, getName, getUniqueId`

Field Detail

### AND

    public static final short AND

  Boolean AND logic.

  See Also:
    Constant Field Values

### OR

    public static final short OR

  Boolean OR logic.

  See Also:
    Constant Field Values

Method Detail

### getLastModified

    public long getLastModified()

  Get the time this campaign was last modified.

### isActive

    public boolean isActive()

  Determine if this campaign is currently active, based upon all campaign information.

  Specified by:
    `isActive` in interface `ScenarioContainer`

### getGoals

    public List getGoals()

  Get the list of goals.

### getGoalLogic

    public short getGoalLogic()

  Tell if all goals need to be met, or just one.

  Returns:
    AND or OR.

### getLinkedScenarioIds

    public List getLinkedScenarioIds()

  Get the list of ids of the linked scenarios.

  Returns:
    a list of String scenario ids.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved